> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepay.global/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> List transactions with filters

# List Transactions

Returns a paginated list of transactions.

<ParamField query="page" type="number" default="1">Page number</ParamField>
<ParamField query="limit" type="number" default="20">Items per page</ParamField>
<ParamField query="userId" type="string">Filter by user ID</ParamField>
<ParamField query="status" type="string">Filter by status</ParamField>

## Request

```bash theme={null}
curl "https://api.stablepay.global/v2/transactions?page=1&limit=20" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "txn_xyz789",
      "userId": "usr_abc123",
      "status": "completed",
      "depositNetwork": "polygon",
      "depositAsset": "USDC",
      "depositAmount": "100",
      "payoutAmountInr": "8407.75",
      "payoutStatus": "completed",
      "createdAt": "2025-06-15T10:30:00Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 50,
    "totalPages": 3
  }
}
```
